7.5. SVGAlib
Indietro | Capitolo 7. Dispositivi di uscita video | Avanti

## 7.5. SVGAlib

INSTALLAZIONE. Affinché MPlayer compili il suo driver per SVGAlib (autorilevato, ma può essere forzato), devi installare svgalib e il suo pacchetto di sviluppo e non dimenticare di modificare `/etc/vga/libvga.config` in modo che corrisponda alla tua scheda e al tuo monitor.

### Nota

Assicurati di non usare l'opzione `-fs`, dato che attiva l'utilizzo del ridimensionatore software, ed è lento. Se davvero ti serve, usa l'opzione `-sws 4`, che porterà una bassa qualità, ma è in qualche modo più veloce.

SUPPORTO PER EGA (4BPP). SVGAlib include EGAlib, e MPlayer ha la possibilità di mostrare qualsiasi filmato in 16 colori, utilizzabile in queste situazioni:

- Scheda EGA con monitor EGA: 320x200x4bpp, 640x200x4bpp, 640x350x4bpp

- Scheda EGA con monitor CGA: 320x200x4bpp, 640x200x4bpp

Il valore dei bpp (bit per pixel) deve essere impostato a 4 manualmente: `-bpp 4`

Il filmato probabilmente deve essere rimpicciolito per starci nella modalità EGA:

    -vf scale=640:350

or

    -vf scale=320:200

Per questo ci serve una funzione di ridimensionamento veloce ma a bassa qualità:

    -sws 4

Forse la correzione automatica dell'aspetto va disattivata:

    -noaspect

### Nota

Secondo la mia esperienza la qualità migliore dell'immagine su schermi EGA può essere ottenuta diminuendo un pochino la luminosità: `-vf eq=-20:0`. Sul mio sistema ho anche bisogno di abbassare la frequenza audio, dato che era rovinata a 44kHz: `-srate 22050`.

Puoi abilitare l'OSD e i sottotitoli solo con il filtro `expand`, vedi la pagina man per i parametri precisi.

Indietro | Risali | Avanti
7.4. SDL | Partenza | 7.6. Uscita su framebuffer (FBdev)